Subject: Re: bug#22399: org-mode fontification

From: Rasmus <[email-masked]>
Date: Mon, 18 Jan 2016 15:16:48 +0100

Hi Phillip,

Thanks for your report.

[email-masked] (Phillip Lord) writes:

> On emacs-25 ox-html, line 1847, org-html-fontify-code does this...
>
> (setq code (with-temp-buffer
> 		       ;; Switch to language-specific mode.
> 		       (funcall lang-mode)
> 		       (insert code)
> 		       ;; Fontify buffer.
> 		       (org-font-lock-ensure)
>
>
> But `org-font-lock-ensure' is defined like so....
>
> (defalias 'org-font-lock-ensure
>   (if (fboundp 'org-font-lock-ensure)
>       #'font-lock-ensure
>     (lambda (_beg _end) (font-lock-fontify-buffer))))
>
>
> which takes two args, causing crashes when exporting to code to HTML.

This is fixed in the most recent stable version of Org, i.e. 8.3.3¹ ,
which, I guess, will be part of if Emacs 25.2 or 26.1 (whichever comes
first and allow new features).  It’s also fixed in 8.2.10².  I guess
Emacs-25 should switch v8.2.10.  [Honestly, when v8.3 couldn’t be merged I
did not cross my mind to upgrade to v8.2.10].  In case v8.2.10 it too
radical, a "local fix" must be applied to the version of Org in emacs.git.

Thanks,
Rasmus

Footnotes: 
¹   http://orgmode.org/cgit.cgi/org-mode.git/tree/lisp/ox-html.el?h=maint#n2086

²   http://orgmode.org/cgit.cgi/org-mode.git/tree/lisp/ox-html.el?id=fdd9b18598239dd0e8b18383ac930110d51ed22e#n1893

-- 
Warning: Everything saved will be lost